Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.businessobjects
Class DiSHChild

    java.lang.Object
      com.autonomy.aci.businessobjects.AciBusinessObject
          com.autonomy.aci.businessobjects.DiSHChild

All Implemented Interfaces:
  java.io.Serializable

public class DiSHChild
extends AciBusinessObject

Bean holding all information available from DiSH about one of its child services.

Version:
  1.0
Author:
  Antoine Jeanson
See Also:
  Serialized Form

Constructor Summary
`DiSHChild()`
`DiSHChild(AciConnectionDetails connectionDetails)`

Method Summary
`int` | `getAciPort()`
`java.lang.String` | `getActualHost()`
`java.lang.String` | `getAuditInterval()`
`AciConnectionDetails` | `getConnectionDetails()`
`java.lang.String` | `getErrorAuditInterval()`
`java.lang.String` | `getHost()`
`java.lang.String` | `getKeepAliveInterval()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPath()`
`boolean` | `getSCM()`
`java.lang.String` | `getServiceName()`
`int` | `getServicePort()`
`int` | `getTimeout()`
`boolean` | `isAuditEnabled()`
`boolean` | `isErrorAuditEnabled()`
`boolean` | `isKeepAliveEnabled()`
`void` | `setAciPort(int nAciPort)`
`void` | `setActualHost(java.lang.String sActualHost)`
`void` | `setAuditEnabled(boolean bEnabled)`
`void` | `setAuditInterval(java.lang.String sInterval)`
`void` | `setConnectionDetails(AciConnectionDetails connectionDetails)`
`void` | `setErrorAuditEnabled(boolean bEnabled)`
`void` | `setErrorAuditInterval(java.lang.String sInterval)`
`void` | `setHost(java.lang.String sHost)`
`void` | `setKeepAliveEnabled(boolean bEnabled)`
`void` | `setKeepAliveInterval(java.lang.String sInterval)`
`void` | `setName(java.lang.String sName)`
`void` | `setPath(java.lang.String sPath)`
`void` | `setSCM(boolean bSCM)`
`void` | `setServiceName(java.lang.String sServiceName)`
`void` | `setServicePort(int nServicePort)`
`void` | `setTimeout(int nTimeout)`
`java.lang.String` | `toString()`

Methods inherited from class com.autonomy.aci.businessobjects.AciBusinessObject
`getUID, setUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiSHChild

    public DiSHChild()

### DiSHChild

    public DiSHChild(AciConnectionDetails connectionDetails)

Method Detail

### setConnectionDetails

    public void setConnectionDetails(AciConnectionDetails connectionDetails)

### setServiceName

    public void setServiceName(java.lang.String sServiceName)

### setName

    public void setName(java.lang.String sName)

### setSCM

    public void setSCM(boolean bSCM)

### setHost

    public void setHost(java.lang.String sHost)

### setServicePort

    public void setServicePort(int nServicePort)

### setActualHost

    public void setActualHost(java.lang.String sActualHost)

### setAciPort

    public void setAciPort(int nAciPort)

### setPath

    public void setPath(java.lang.String sPath)

### setAuditInterval

    public void setAuditInterval(java.lang.String sInterval)

### setAuditEnabled

    public void setAuditEnabled(boolean bEnabled)

### setErrorAuditInterval

    public void setErrorAuditInterval(java.lang.String sInterval)

### setErrorAuditEnabled

    public void setErrorAuditEnabled(boolean bEnabled)

### setKeepAliveInterval

    public void setKeepAliveInterval(java.lang.String sInterval)

### setKeepAliveEnabled

    public void setKeepAliveEnabled(boolean bEnabled)

### setTimeout

    public void setTimeout(int nTimeout)

### getConnectionDetails

    public AciConnectionDetails getConnectionDetails()

### getServiceName

    public java.lang.String getServiceName()

### getName

    public java.lang.String getName()

### getSCM

    public boolean getSCM()

### getHost

    public java.lang.String getHost()

### getServicePort

    public int getServicePort()

### getActualHost

    public java.lang.String getActualHost()

### getAciPort

    public int getAciPort()

### getPath

    public java.lang.String getPath()

### getAuditInterval

    public java.lang.String getAuditInterval()

### isAuditEnabled

    public boolean isAuditEnabled()

### getErrorAuditInterval

    public java.lang.String getErrorAuditInterval()

### isErrorAuditEnabled

    public boolean isErrorAuditEnabled()

### getKeepAliveInterval

    public java.lang.String getKeepAliveInterval()

### isKeepAliveEnabled

    public boolean isKeepAliveEnabled()

### getTimeout

    public int getTimeout()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD